Package ghidra.app.analyzers

# Class CondenseFillerBytesAnalyzer

java.lang.Object
ghidra.app.services.AbstractAnalyzer
ghidra.app.analyzers.CondenseFillerBytesAnalyzer

All Implemented Interfaces:
  `Analyzer`, `ExtensionPoint`

public class CondenseFillerBytesAnalyzer extends AbstractAnalyzer

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CondenseFillerBytesAnalyzer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `added(Program program, AddressSetView set, TaskMonitor monitor, MessageLog log)`
  Called when the requested information type has been added, for example, when a function is added.
  `void`
  `optionsChanged(Options options, Program program)`
  Analyzers should initialize their options from the values in the given Options, providing appropriate default values.
  `void`
  `registerOptions(Options options, Program program)`
  Analyzers should register their options with associated default value, help content and description
  `boolean`
  `removed(Program program, AddressSetView set, TaskMonitor monitor, MessageLog log)`
  Called when the requested information type has been removed, for example, when a function is removed.

  ### Methods inherited from class ghidra.app.services.AbstractAnalyzer

  `analysisEnded, canAnalyze, getAnalysisType, getDefaultEnablement, getDescription, getName, getPriority, isPrototype, setDefaultEnablement, setPriority, setPrototype, setSupportsOneTimeAnalysis, setSupportsOneTimeAnalysis, supportsOneTimeAnalysis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.app.services.Analyzer

  `getOptionsUpdater`

- ## Constructor Details

  - ### CondenseFillerBytesAnalyzer

    public CondenseFillerBytesAnalyzer()

- ## Method Details

  - ### added

    public boolean added(Program program, AddressSetView set, TaskMonitor monitor, MessageLog log) throws CancelledException
    Description copied from interface: `Analyzer`
    Called when the requested information type has been added, for example, when a function is added.
    Parameters:
      `program` - program to analyze
      `set` - AddressSet of locations that have been added
      `monitor` - monitor that indicates progress and indicates whether the user canceled the analysis
      `log` - a message log to record analysis information
    Returns:
      true if the analysis succeeded
    Throws:
      `CancelledException` - if the analysis is cancelled

  - ### removed

    public boolean removed(Program program, AddressSetView set, TaskMonitor monitor, MessageLog log) throws CancelledException
    Description copied from interface: `Analyzer`
    Called when the requested information type has been removed, for example, when a function is removed.
    Specified by:
      `removed` in interface `Analyzer`
    Overrides:
      `removed` in class `AbstractAnalyzer`
    Parameters:
      `program` - program to analyze
      `set` - AddressSet of locations that have been added
      `monitor` - monitor that indicates progress and indicates whether the user canceled the analysis
      `log` - a message log to record analysis information
    Returns:
      true if the analysis succeeded
    Throws:
      `CancelledException` - if the analysis is cancelled

  - ### registerOptions

    public void registerOptions(Options options, Program program)
    Description copied from interface: `Analyzer`
    Analyzers should register their options with associated default value, help content and description
    Specified by:
      `registerOptions` in interface `Analyzer`
    Overrides:
      `registerOptions` in class `AbstractAnalyzer`
    Parameters:
      `options` - the program options/property list that contains the options
      `program` - program to be analyzed

  - ### optionsChanged

    public void optionsChanged(Options options, Program program)
    Description copied from interface: `Analyzer`
    Analyzers should initialize their options from the values in the given Options, providing appropriate default values.
    Specified by:
      `optionsChanged` in interface `Analyzer`
    Overrides:
      `optionsChanged` in class `AbstractAnalyzer`
    Parameters:
      `options` - the program options/property list that contains the options
      `program` - program to be analyzed